## kemoticons 5.54.0

=== debian/changelog ===
kemoticons (5.54.0-1.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:00:38 +0800

kemoticons (5.54.0-1.lnd.1) unstable; urgency=medium

  * Use "\n" instead of "endl" for compiling fail in qt 5.15

 -- Yaling Fang <fangyaling@loongson.cn>  Tue, 6 Jul 2021 14:26:47 +0800

kemoticons (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:47 -0300

kemoticons (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:47 +0100

kemoticons (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:28 +0200

kemoticons (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:05 +0200

## kemoticons 5.54.0+rebuild

=== debian/changelog ===
kemoticons (5.54.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 12:58:53 +0800

## kemoticons 5.56.0

=== debian/changelog ===
kemoticons (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:34 +0000

kemoticons (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:30:46 +0000

kemoticons (5.54.0-0ubuntu1) disco; urgency=medium

  * Install debug categories file.
  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:37 +0000

kemoticons (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:22 +0000

kemoticons (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:53 +0000

=== debian/control ===
Source: kemoticons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5archive-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kemoticons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons

Package: libkf5emoticons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the runtime files.

Package: libkf5emoticons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the data files.

Package: libkf5emoticons-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.55.0~),
         libkf5emoticons5 (= ${binary:Version}),
         libkf5service-dev (>= 5.55.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5emoticons-doc (= ${source:Version})
Breaks: libkf5emoticons-bin (<< 5.12.0~)
Replaces: libkf5emoticons-bin (<< 5.12.0~)
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains development files for kemoticons.

Package: libkf5emoticons-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes (documentation)
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the qch documentation files.

Package: libkf5emoticons5
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5emoticons-bin (= ${binary:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.

## kemoticons 5.62.0

=== debian/changelog ===
kemoticons (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:00 -0700

kemoticons (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 933196).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
-               libkf5archive-dev (>= 5.56.0~),
-               libkf5config-dev (>= 5.56.0~),
-               libkf5coreaddons-dev (>= 5.56.0~),
-               libkf5service-dev (>= 5.56.0~),
+               libkf5archive-dev (>= 5.62.0~),
+               libkf5config-dev (>= 5.62.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
+               libkf5service-dev (>= 5.62.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.11.0~),
+               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kemoticons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kemoticons.git
 
 Package: libkf5emoticons-bin
 Architecture: any
@@ -49,16 +50,16 @@
  This package contains the data files.
 
 Package: libkf5emoticons-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libkf5archive-dev (>= 5.55.0~),
+Depends: libkf5archive-dev (>= 5.62.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.55.0~),
-         qtbase5-dev (>= 5.8.0~),
+         libkf5service-dev (>= 5.62.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
+Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Recommends: libkf5emoticons-doc (= ${source:Version})
-Breaks: libkf5emoticons-bin (<< 5.12.0~)
-Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,
  create emoticons theme. It can also be used to
@@ -70,7 +71,6 @@
 Package: libkf5emoticons-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Support for emoticons and emoticons themes (documentation)
  This class can be used to retrieve, install,
@@ -79,6 +79,7 @@
  config file.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5emoticons5
 Architecture: any

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         libkf5service-bin,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@,
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kemoticons 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KEmoticons VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui DBus)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KEMOTICONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )


# the strings throughout this library are used to search ressources
# so they don't need translations
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
add_subdirectory(themes)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Emoticons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Emoticons_QCH
        FILE KF5EmoticonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5EmoticonsQchTargets.cmake\")")
endif()

install(EXPORT KF5EmoticonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EmoticonsTargets.cmake NAMESPACE KF5:: )

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5EmoticonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kemoticons (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:06 +0000

kemoticons (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:49:53 +0000

kemoticons (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:18:43 +0000

kemoticons (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:59:59 +0000

kemoticons (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:06 +0000

kemoticons (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:06:30 +0100

kemoticons (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:00 +0100

kemoticons (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:15:43 +0100

kemoticons (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:18:52 +0100

kemoticons (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:39:46 +0100

kemoticons (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:37:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
-               libkf5archive-dev (>= 5.62.0~),
-               libkf5config-dev (>= 5.62.0~),
-               libkf5coreaddons-dev (>= 5.62.0~),
-               libkf5service-dev (>= 5.62.0~),
+               libkf5archive-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5service-dev (>= 5.68.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.11.0~),
-               qttools5-dev,
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kemoticons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kemoticons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
 
 Package: libkf5emoticons-bin
 Architecture: any
@@ -50,16 +49,16 @@
  This package contains the data files.
 
 Package: libkf5emoticons-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5archive-dev (>= 5.62.0~),
+Depends: libkf5archive-dev (>= 5.68.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.62.0~),
-         qtbase5-dev (>= 5.11.0~),
+         libkf5service-dev (>= 5.68.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
+Recommends: libkf5emoticons-doc (= ${source:Version})
+Breaks: libkf5emoticons-bin (<< 5.12.0~)
 Replaces: libkf5emoticons-bin (<< 5.12.0~)
-Recommends: libkf5emoticons-doc (= ${source:Version})
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,
  create emoticons theme. It can also be used to
@@ -71,6 +70,7 @@
 Package: libkf5emoticons-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Support for emoticons and emoticons themes (documentation)
  This class can be used to retrieve, install,
@@ -79,7 +79,6 @@
  config file.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5emoticons5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5emoticons5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         libkf5service-bin
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kemoticons-([\d.]+)\.tar\.xz

## kemoticons 5.74.0

=== debian/changelog ===
kemoticons (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:58:49 +0100

kemoticons (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:57:39 +0100

kemoticons (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:13:58 +0100

kemoticons (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:17 +0100

kemoticons (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Restore lintian override lost during merge. libkf5emoticons5:
    symbols-declares-dependency-on-other-package libkf5emoticons-bin

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:05:56 +0100

kemoticons (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 17:40:24 +0100

kemoticons (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:30 +0200

kemoticons (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:31:32 +0100

kemoticons (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,25 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               libkf5archive-dev (>= 5.68.0~),
-               libkf5config-dev (>= 5.68.0~),
-               libkf5coreaddons-dev (>= 5.68.0~),
-               libkf5service-dev (>= 5.68.0~),
+               libkf5archive-dev (>= 5.74.0~),
+               libkf5config-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.74.0~),
+               libkf5service-dev (>= 5.74.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Rules-Requires-Root: no
 
 Package: libkf5emoticons-bin
 Architecture: any
@@ -49,16 +51,16 @@
  This package contains the data files.
 
 Package: libkf5emoticons-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libkf5archive-dev (>= 5.68.0~),
+Depends: libkf5archive-dev (>= 5.74.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.68.0~),
-         qtbase5-dev (>= 5.8.0~),
+         libkf5service-dev (>= 5.74.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
+Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Recommends: libkf5emoticons-doc (= ${source:Version})
-Breaks: libkf5emoticons-bin (<< 5.12.0~)
-Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,
  create emoticons theme. It can also be used to
@@ -70,7 +72,6 @@
 Package: libkf5emoticons-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Support for emoticons and emoticons themes (documentation)
  This class can be used to retrieve, install,
@@ -79,13 +80,14 @@
  config file.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5emoticons5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5emoticons-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5emoticons-bin (= ${binary:Version})
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,

=== debian/tests/control ===
#Tests: testsuite
#Depends: build-essential,
#         dbus (>= 1.8),
#         libkf5service-bin,
#         openbox,
#         xauth,
#         xvfb,
#         @,
#         @builddeps@,
#Restrictions: build-needed, allow-stderr
#
Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kemoticons 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project(KEmoticons VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui DBus)
 
 include(KDEInstallDirs)
@@ -47,8 +47,8 @@
 
 # the strings throughout this library are used to search ressources
 # so they don't need translations
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 add_definitions(-DQT_NO_FOREACH)
 add_subdirectory(src)
 add_subdirectory(themes)

=== src/CMakeLists.txt ===

add_subdirectory(core)
add_subdirectory(providers)
add_subdirectory(integrationplugin)

ecm_qt_install_logging_categories(
    EXPORT KEMOTICONS
    FILE kemoticons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/core/CMakeLists.txt ===
############# kemoticons library ###################

set(kemoticons_LIB_SRCS
    kemoticons.cpp
    kemoticonstheme.cpp
    kemoticonsprovider.cpp
    kemoticonsglobal.cpp
)

ecm_qt_declare_logging_category(kemoticons_LIB_SRCS
    HEADER kemoticons_core_debug.h
    IDENTIFIER KEMOTICONS_CORE
    CATEGORY_NAME kf.emoticons
    OLD_CATEGORY_NAMES kf5.kemoticons.core
    DESCRIPTION "kemoticons core"
    EXPORT KEMOTICONS
)

add_library(KF5Emoticons ${kemoticons_LIB_SRCS})
add_library(KF5::Emoticons ALIAS KF5Emoticons)
ecm_generate_export_header(KF5Emoticons
    BASE_NAME KEmoticons
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Emoticons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons>")

target_link_libraries(KF5Emoticons
PUBLIC
    Qt5::Gui # for QImageReader, QPixmap
    KF5::Service     # for KService::Ptr, KServiceTypeTrader
PRIVATE
    KF5::Archive    # for KTar, KZip
    Qt5::DBus
)

set_target_properties(KF5Emoticons PROPERTIES
                      VERSION ${KEMOTICONS_VERSION_STRING}
                      SOVERSION ${KEMOTICONS_SOVERSION}
                      EXPORT_NAME Emoticons
)

install(FILES kemoticonsTheme.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

ecm_generate_headers(KEmoticons_HEADERS
  HEADER_NAMES
  KEmoticons
  KEmoticonsTheme
  KEmoticonsProvider

  REQUIRED_HEADERS KEmoticons_HEADERS
)


install(TARGETS KF5Emoticons EXPORT KF5EmoticonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kemoticons_export.h
  ${KEmoticons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons
  COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Emoticons_QCH
        NAME KEmoticons
        BASE_NAME KF5Emoticons
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KEmoticons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
            KF5Service_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KEMOTICONS_EXPORT
            KEMOTICONS_DEPRECATED
            KEMOTICONS_DEPRECATED_EXPORT
            "KEMOTICONS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KEmoticons LIB_NAME KF5Emoticons DEPS "widgets KService" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/providers/adium/CMakeLists.txt ===

########### next target ###############
set(adiumemoticons_SRCS adium_emoticons.cpp)

ecm_qt_declare_logging_category(adiumemoticons_SRCS
    HEADER kemoticons_plugin_adium_debug.h
    IDENTIFIER KEMOTICONS_PLUGIN_ADIUM
    CATEGORY_NAME kf.emoticons.adium
    OLD_CATEGORY_NAMES kf5.kemoticons.plugin_adium
    DESCRIPTION "kemoticons (plugin adium)"
    EXPORT KEMOTICONS
)

kcoreaddons_add_plugin(emoticonstheme_adium INSTALL_NAMESPACE kf5/emoticonsthemes JSON emoticonstheme_adium.json SOURCES ${adiumemoticons_SRCS})

find_package(Qt5Xml REQUIRED)
target_link_libraries(emoticonstheme_adium
PRIVATE
    KF5::Emoticons
    Qt5::Xml # for QDomDocument
)

########### install files ###############

set_target_properties(emoticonstheme_adium PROPERTIES
    OUTPUT_NAME "adium"
)
# KF6: remove
install(
    FILES emoticonstheme_adium.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kemoticons (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 21:03:00 +0900

kemoticons (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kemoticons (5.77.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused debian/meta/ stuff.
  * Drop breaks/replaces for versions older than Stretch.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2021 09:39:01 +0100

kemoticons (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kemoticons (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

kemoticons (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:04 +0200

kemoticons (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5emoticons-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:59 +0200

=== debian/control ===
Source: kemoticons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libkf5archive-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kemoticons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kemoticons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kemoticons.git
Rules-Requires-Root: no

Package: libkf5emoticons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the runtime files.

Package: libkf5emoticons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the data files.

Package: libkf5emoticons-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.78.0~),
         libkf5emoticons5 (= ${binary:Version}),
         libkf5service-dev (>= 5.78.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Recommends: libkf5emoticons-doc (= ${source:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains development files for kemoticons.

Package: libkf5emoticons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes (documentation)
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5emoticons5
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5emoticons-bin (= ${binary:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.

## kemoticons 5.80.0

=== debian/changelog ===
kemoticons (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:31 +0000

kemoticons (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Restore libkf5emoticons5.lintian-overrides after debian merge

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:21:25 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               libkf5archive-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5service-dev (>= 5.78.0~),
+               libkf5archive-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kemoticons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kemoticons
@@ -51,11 +51,11 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.78.0~),
+Depends: libkf5archive-dev (>= 5.80.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.78.0~),
+         libkf5service-dev (>= 5.80.0~),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5emoticons-doc (= ${source:Version})
 Description: Support for emoticons and emoticons themes.

## kemoticons 5.86.0

=== debian/changelog ===
kemoticons (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:40 +0100

kemoticons (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:26:38 +0100

kemoticons (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:50 +0100

kemoticons (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:45 +0100

kemoticons (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:56:12 +0100

kemoticons (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5archive-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
+               libkf5archive-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -51,9 +51,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.80.0~),
+Depends: libkf5archive-dev (>= 5.86.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.80.0~),
+         libkf5service-dev (>= 5.86.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)
